/*
Copyright (C) 2000 Chr. Clemens Lee <clemens@kclee.com>.

This file is part of Jacob - The Java Commando Base
(http://www.kclee.com/clemens/java/javancss/).

Jacob is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

Jacob is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Jacob; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

package jacob;

public interface JacobConstants {
    static final char   C_DIR_SEPARATOR = ';';
    static final String S_NO_PACKAGE = ".";
    static final String S_INIT_GNUCLIENT_FLAGS = "GnuclientFlags";
    static final String S_INIT_GNUCLIENT_PATH = "GnuclientPath";
    static final String S_INIT_JAVADOC_AUTHOR = "JavadocAuthor";
    static final String S_INIT_AUTHOR_EMAIL = "AuthorEmail";
    static final String S_INIT_PLIST_LINES = "PackagesListLines";
    static final String S_INIT_CLIST_LINES = "ClassesListLines";
    static final String S_INIT_METHODS_SORTED = "MethodsSorted";
    static final String S_INIT_EMACS_TO_FRONT = "EmacsToFront";
    static final String S_INIT_PROJSUFFIX = "ProjectSuffix";
    static final String S_INIT_LEFTSIDED = "LeftSided";
    static final String S_INIT_NOEMACS = "NoEmacs";
    static final String S_INIT_EDITOR = "Editor";
    static final String S_INIT_JEDIT = "jEdit";
    static final String S_INIT_MAKEFILE_CLASS_NAME = "MakefileClassName";
    static final String S_INIT_FRAME_HEIGHT = "FrameHeight";
    static final String S_INIT_YLOCATION = "YLocation";
    static final String S_INIT_LICENSES = "Licenses";
    static final String S_OPT_CREATEMAKEFILE = "createmakefile";
    static final String S_OPT_CREATEJAR = "createjar";
    static final String S_OPT_CREATEAPIDOC = "createapidoc";
    static final String S_STANDARD_PLIST_LINES = "10";
    static final String S_STANDARD_CLIST_LINES = "10";
    static final int    MIN_LIST_LINES = 1;
    static final int    MAX_LIST_LINES = 50;
    static final String S_PARSE = "<parse>";
    static final String S_CLASSPATH_VAR = "$CLASSPATH";
    static final String S_JAVA_SUFFIX = ".java";

    static final String STR_GNUDOIT = "gnudoit";
    static final String STR_EMACS = "gnuclient";
    static final String S_GNUCLIENTPATH = "GnuclientPath";
    static final String S_EMACSNEWWIDTH = "EmacsNewWidth";
    static final String S_EMACSORGWIDTH = "EmacsOriginalWidth";
    
    static final int MIN_FRAME_WIDTH = 185;
    static final int EMACS_WORK_WIDTH = 72;
    static final int EMACS_ORIG_WIDTH = 98;
    static final int MIN_EMACS_WIDTH = 20;
    static final int MAX_EMACS_WIDTH = 200;
    
    static final String S_STANDARD_PROJSUFFIX = ".proj";
    static final String S_STANDARD_JAVACFLAGS = "-g -deprecation";
    static final String S_STANDARD_JAVAIFLAGS = "";
    static final String S_STANDARD_STARTPARAM = "";
    static final String S_DEFAULT_SUBDIRS = "DefaultSubDirs";
}
