/*
Copyright (C) 2000 Chr. Clemens Lee <clemens@kclee.com>.

This file is part of Jacob - The Java Commando Base
(http://www.kclee.com/clemens/java/javancss/).

Jacob is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

Jacob is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Jacob; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

package jacob.test;

import java.util.*;
import java.awt.*;

import ccl.util.*;

import jacob.ClassWizardDialog;
import jacob.Package;

/**
 * $Id: DialogTest.java,v 1.5 2001/08/05 10:07:55 clemens Exp clemens $
 */
public class DialogTest extends Test {
	public DialogTest() {
		super();
	}

	public DialogTest(Test pTest_) {
		super(pTest_);
	}

    protected void _doIt() {
        Package pckMain = new Package();
        Package.setClassPath(System.getProperty("java.class.path"));
        Package pckNew = new Package("jacob", true, true);
        pckMain.insert(pckNew);
        pckNew = new Package("ccl", true, true);
        pckMain.insert(pckNew);
        Util.debug("DialogTest._doIt(): pckMain: " + pckMain);
        ClassWizardDialog dlgTest = new ClassWizardDialog(new Frame(), pckMain);
        dlgTest.show();
    }
    
    public static void main(String[] args) {
        Test pTest = (Test)(new DialogTest());
        pTest.printResult(pTest);
        System.exit(0);
    }
}
